## custodian 0.33

=== debian/changelog ===
custodian (0.33) stable; urgency=low

  * Allow an alert's subject to be prefixed with a custom string, read from
    /store/clients/*/custodian-prefix.cfg.  If multiple files are present
    then the last match wins.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 16 Mar 2016 12:11:21 +0100

custodian (0.32) stable; urgency=low

  * When a TCP-test fails, due to timeout, show the host/port which was
    being connected to.  This removes ambiguity when a test could be applied
    over both IPv4 & IPv6.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 19 Dec 2016 14:00:41 +0100

custodian (0.31) stable; urgency=low

  * When falling back to using `openssl`, if TLS 1.2 negotation fails, we
    now send the correct SNI-header.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 04 Nov 2016 11:00:11 +0100

custodian (0.30) stable; urgency=low

  * Fallback to using `openssl` if we cannot negotiate a TLS 1.2 connection.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 18 Jul 2016 12:33:21 +0100

custodian (0.29) stable; urgency=low

  * Correctly handle retries on SSL negotiation failures.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 13 Jul 2016 12:44:21 +0100

custodian (0.28) stable; urgency=low

  * Added TFTP protocol tester.

 -- James Carter <jcarter@bytemark.co.uk>  Fri, 22 Apr 2016 10:52:27 +0100

custodian (0.27) stable; urgency=low

  * Updated dependencies such that we can install upon Jessi.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 5 April 2016 13:33:31 +0000

custodian (0.26) stable; urgency=low

  * Minor tweaks to the configuration-file parser:
    - Attempting to limit HTTP/HTTPS tests to ipv4/IPv6 fails.
    - Quote-matching is improved for HTTP/HTTPS content-checking.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 10 Feb 2016 14:44:41 +0000

custodian (0.25) stable; urgency=low

  * New release using a set to store jobs in the queue.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 18 Dec 2015 13:13:13 +0000

custodian (0.24.18) stable; urgency=low

  * New release - use a sorted-set for our Redis-queue.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 18 Dec 2015 11:00:11 +0000

custodian (0.24.17) stable; urgency=low

  * New release - to avoid overflowing our queue.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 17 Dec 2015 18:18:18 +0000

custodian (0.24.16) stable; urgency=low

  * Defined new Bytemark IP-range:  5.28.56.0/21

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 02 Dec 2015 17:44:17 +0000

custodian (0.24.15) stable; urgency=low

  * Disable SHA1 signature checking of SSL certificates by default.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 30 Nov 2015 11:11:11 +0000

custodian (0.24.14) stable; urgency=low

  * Keep up to 8k of history transitions.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 16 Nov 2015 16:14:12 +0000

custodian (0.24.13) stable; urgency=low

  * Updated the redis-alerter, to store more useful-state.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 16 Nov 2015 15:00:51 +0000

custodian (0.24.12) stable; urgency=low

  * Explicitly force the parser to use UTF-8 when reading the configuration
    files for test-cases to apply.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 25 Aug 2015 13:33:31 +0000

custodian (0.24.11) stable; urgency=high

  * Be more forgiving when parsing macro-defitions.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 07 Aug 2015 14:45:56 +0000

custodian (0.24.10) stable; urgency=low

  * The SSL-checking of certificates now alerts with a better name,
    rather than "https".

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 04 Aug 2015 15:44:51 +0000

custodian (0.24.9) stable; urgency=low

  * Updated to add an RDP-protocol-tester.
  * Updated to allow mixed-case for the protocol-definitions.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 29 Jul 2015 12:23:34 +0000

custodian (0.24.8) stable; urgency=low

  * Updated the logic of testing to allow tests to cancel themselves
    without raising/clearing alerts:
    - https://projects.bytemark.co.uk/issues/10328

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 28 Apr 2015 13:14:17 +0000

custodian (0.24.7) stable; urgency=low

  * Resolve hostnames for both IPv4 and IPv6 when sending a Bytemark-specific
    alert via the mauve-notifier.
  * Updated the LDAP test to by syntactically valid.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 16 Apr 2015 10:00:01 +0000

custodian (0.24.6) stable; urgency=low

  * Allow SSL-certificate checking to be disabled via "no_ssl_check".

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 15:00:51 +0000

custodian (0.24.5) stable; urgency=low

  * Correctly report the reason for SSL failures.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 15:33:51 +0000

custodian (0.24.4) stable; urgency=low

  * Check SSL certificates correctly if our SSL library is too old for SNI.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 13:33:31 +0000

custodian (0.24.3) stable; urgency=low

  * Remove the logfile - default to logging to stdout and allowing
    deployment to use syslog via "logger -t custodian".

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 12:44:21 +0000

custodian (0.24.2) stable; urgency=medium

  * Allow "ipv6_only" and "ipv4_only" to be added to tests.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 10:00:01 +0000

custodian (0.24.1) stable; urgency=medium

  * Updated to work with Ruby 1.8, and explictly convert the class
    of our alert to a string.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 09:22:09 +0000

custodian (0.24) stable; urgency=medium

  * Added SSL-validation for the HTTPS tests.
    This only works in office-hours.
  * Updated the TCP-based and ping-based test to explicitly perform DNS
    lookups.  This allows IPv4 and IPv6-tests to be made from a single
    hostname.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 03 Mar 2015 09:05:01 +0000

custodian (0.23) stable; urgency=medium

  * Updated the redis-alerter to make the test-definition available.


