## custodian 0.37~13077.gbp45f772

=== debian/changelog ===
custodian (0.37~13077.gbp45f772) UNRELEASED; urgency=medium

  ** SNAPSHOT build @45f772cfe7626ec7c250d89c7291c23decf13558 **

  [ Steve Kemp ]
  * Updated to move ignore-dns-failure code into routine.
  * Sanity-check DNS on a per-protocol basis.
  * Use a case-statement for both kinds of IP-matching.
  * Moved case statement outside timeout block.

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Tue, 08 Aug 2017 13:38:55 +0000

custodian (0.36) stable; urgency=high

  * If we receive a DNS-error from the curb-gem we ignore it, unless
    failing to resolve the appropriate hostname ourselves.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 08 Aug 2017 08:55:08 +0200

custodian (0.35) stable; urgency=low

  * Alert in more detail on DNS failures.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 26 Jun 2017 12:00:21 +0100

custodian (0.34) stable; urgency=low

  * Install a cron.daily task to reap old tests - which will ensure that
    the "redis" alerter contains accurate data if it is used.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 26 Jun 2017 12:00:21 +0100
