## custodian 0.37~13208.gbp2045cd

=== debian/changelog ===
custodian (0.37~13208.gbp2045cd) UNRELEASED; urgency=medium

  ** SNAPSHOT build @2045cd151f2801154249686aeef075af68ae24b2 **

  [ Steve Kemp ]
  * Updated to move ignore-dns-failure code into routine.
  * Sanity-check DNS on a per-protocol basis.
  * Use a case-statement for both kinds of IP-matching.
  * Moved case statement outside timeout block.
  * Significant rubocop fixups.
  * Attempt to test upon wheezy systems in addition to jessie.
  * Revert rubocop change.
  * Updated to hide errors we're not fixing.
  * Upgraded rubocop file from 0.43.0 -> 0.49.1

  [ root ]

 -- root <root@runner-32952c23-project-169-concurrent-2>  Thu, 10 Aug 2017 07:50:27 +0000
