=== debian/changelog ===
custodian (0.37) stable; urgency=high

  * Always send a User-Agent-header when submitting HTTP/HTTPS tests.
  * Updated how we submit metrics to our central graphite host(s).

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 20 Sep 2017 09:33:09 +0200
