=== debian/control ===
Source: custodian
Section: net
Priority: extra
Maintainer: Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), cdbs, txt2man, ruby
Standards-Version: 3.9.6
Homepage: https://projects.bytemark.co.uk/projects/custodian/


Package: custodian
Architecture: all
Depends: ruby, rubygems, tftp-hpa, ${misc:Depends}, ruby-ldap | libldap-ruby | libldap-ruby1.8
Suggests: mauvealert-client (>= 3.13.1)
Description: remote monitoring via distributed agents
 This package allows you to setup a semi-distributed monitoring
 solution, using the Bytemark MauveAlert server for notification.
 .
 The monitoring consists of a system to enqueue tests in
 a global queue, and an agent that will fetch tests from
 that same queue and execute them.

Package: custodian-bytemark
Architecture: all
Depends: custodian, ruby, ${misc:Depends}
Description: Bytemark-specific add-ons for Custodian.
 This package contains some monitoring for the monitor,
 to ensure that custodian isn't failing to parse configuration
 files, or failing to empty the queue.
 .
 It might be useful reference material for others but it is
 explicitly Bytemark-specific
