## custodian 0.41~34963.gbp16ee28

=== debian/changelog ===
custodian (0.41~34963.gbp16ee28) UNRELEASED; urgency=medium

  ** SNAPSHOT build @16ee28b161456337a73e65714d9f21b719ddb98b **

  [ Steve Kemp ]
  * Removed obsolete code.
  * Allow tests to set a subject.
  * If a test has a subject used, then use it.
  * Test that the parser understands "with subject 'xxx'"

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Thu, 22 Feb 2018 12:24:18 +0000
