## custodian 0.42~52989.gbpcfc6ba

=== debian/changelog ===
custodian (0.42~52989.gbpcfc6ba) UNRELEASED; urgency=medium

  ** SNAPSHOT build @cfc6baff141da1962fb357b7a56db9403a732c18 **

  [ Steve Kemp ]
  * Updated the file-alerter to use the subject.

  [ Jamie Nguyen ]
  * Kill fallback SSL certificate check after 10 seconds
  * SIGKILL slightly after SIGTERM

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Wed, 11 Jul 2018 12:26:31 +0000

custodian (0.41) stable; urgency=low

  * Allow tests to override the alert-subject raised via mauve (#21, !15)

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 22 Feb 2018 14:22:41 +0200
