## custodian 2024.1.9

=== debian/changelog ===
custodian (2024.1.9-3) unstable; urgency=medium

  * set Vcs-Git to the salsa repo
  * update debian/tests
    - use TMPDIR=${AUTOPKGTEST_TMP}/tmp
      to avoid exhausting /tmp (tests need ~10G tmpfiles)
    - skip QChemErrorHandlerTest since custodian is not
      up-to-date with latest pymatgen
    - run pytest on all supported python versions
      (spglib is now available for all versions)

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Feb 2024 13:06:55 +0100

custodian (2024.1.9-2) unstable; urgency=medium

  * add missing BSD entries in debian/copyright:
    - docs/_themes/* 2010 Armin Ronacher, Kenneth Reitz
    - custodian/cli/*, Materials Virtual Lab
  * expand on individual contributors to the main code (MIT)
    - The Materials Project
    - human beings Shyue Ping Ong, William Davidson Richards,
      Stephen Dacek, Xiaohui Qu, Matthew Horton, Samuel M. Blau,
      Janosh Riebesell
  * name indivudal contributors in subfolders (MIT)
    - custodian/cp2k/*, Nicholas Winner
    - custodian/feff/*, Chen Zheng
    - custodian/lobster/*, Janine George, Guido Petretto
    - custodian/nwchem/*, Shyue Ping Ong
    - custodian/qchem/*, Samuel Blau, Brandon Wood, Shyam Dwaraknath,
      Xiaohui Qu
    - custodian/vasp/*, Shyue Ping Ong, William Davidson Richards,
      Anubhav Jain, Wei Chen,Stephen Dacek, Andrew Rosen,
      Janosh Riebesell
    - tests/cp2k/*, Pymatgen Development Team

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Jan 2024 17:39:46 +0100

custodian (2024.1.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1061255)
    - use pytest to run tests
  * run tests with the default python version only, since spglib
    (needed by pymatgen for tests) is only available on default python
  * add debian patches
    - env_test_dir.patch enables location of test dir to be set by
      environment variable CUSTODIAN_TEST_DIR. See upstream issue #311.
    - test_skip.patch skips tests which cannot be run during build
      (files/qchem/new_test_files/FF_working/test_cust.py)
    - doc_build.patch reduces doc build to available sphinx extensions.
      Build-Depends: python3-myst-parser <!nodoc>
  * skip failing tests test_fileman_cpscf_nseg_error,
    test_gdm_neg_precon_error, test_OptFF, test_first_step
  * override dh_clean to not delete test .orig files
  * man pages are generated manually using help2man.
    See debian/README.source.
  * doc privacy: remove .google-analytics.com/ga.js links in html docs

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jan 2024 00:42:47 +0100
