=== debian/control ===
Source: custodian
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-psutil,
 python3-pymatgen,
 python3-pytest <!nocheck>,
 python3-sphinx,
 python3-myst-parser <!nodoc>
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/materialsproject/custodian
Vcs-Browser: https://salsa.debian.org/debichem-team/custodian
Vcs-Git: https://salsa.debian.org/debichem-team/custodian.git

Package: python3-custodian
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-custodian-doc,
Description: flexible just-in-time job management framework in Python
 Custodian is a simple, robust and flexible just-in-time (JIT) job
 management framework written in Python. Using custodian, you can
 create wrappers that perform error checking, job management and error
 recovery. It has a simple plugin framework that allows you to develop
 specific job management workflows for different applications.
 .
 Error recovery is an important aspect of many high-throughput projects
 that generate data on a large scale. When you are running on the order
 of hundreds of thousands of jobs, even an error-rate of 1% would mean
 thousands of errored jobs that would be impossible to deal with on a
 case-by-case basis.
 .
 The specific use case for custodian is for long running jobs, with
 potentially random errors. For example, there may be a script that
 takes several days to run on a server, with a 1% chance of some IO
 error causing the job to fail. Using custodian, one can develop a
 mechanism to gracefully recover from the error, and restart the job
 with modified parameters if necessary.
 .
 The current version of Custodian also comes with several sub-packages
 for error handling for Vienna Ab Initio Simulation Package (VASP),
 NwChem, QChem, FEFF, Lobster and CP2K calculations.
 .
 This package installs the library for Python 3.

Package: python-custodian-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: flexible just-in-time job management framework in Python (doc)
 Custodian is a simple, robust and flexible just-in-time (JIT) job
 management framework written in Python. Using custodian, you can
 create wrappers that perform error checking, job management and error
 recovery. It has a simple plugin framework that allows you to develop
 specific job management workflows for different applications.
 .
 Error recovery is an important aspect of many high-throughput projects
 that generate data on a large scale. When you are running on the order
 of hundreds of thousands of jobs, even an error-rate of 1% would mean
 thousands of errored jobs that would be impossible to deal with on a
 case-by-case basis.
 .
 The specific use case for custodian is for long running jobs, with
 potentially random errors. For example, there may be a script that
 takes several days to run on a server, with a 1% chance of some IO
 error causing the job to fail. Using custodian, one can develop a
 mechanism to gracefully recover from the error, and restart the job
 with modified parameters if necessary.
 .
 The current version of Custodian also comes with several sub-packages
 for error handling for Vienna Ab Initio Simulation Package (VASP),
 NwChem, QChem, FEFF, Lobster and CP2K calculations.
 .
 This is the documentation package.
