## custodian 2024.6.24

=== debian/changelog ===
custodian (2024.6.24-1) unstable; urgency=medium

  * New upstream release.
    - deprecates debian patches env_test_dir.patch and test_skip.patch
  * debian/tests: copy tests complete with name to use as module.
    Run all tests. CUSTODIAN_TEST_DIR no longer needed.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Aug 2024 01:13:32 +0200
