=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
  python3-myst-parser <!nodoc>
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/materialsproject/custodian
 Vcs-Browser: https://salsa.debian.org/debichem-team/custodian
 Vcs-Git: https://salsa.debian.org/debichem-team/custodian.git
