## custodian 2024.10.16

=== debian/changelog ===
custodian (2024.10.16-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: python3-matplotlib,
      python3-monty (>= 2.0.6~),
      python3-ruamel.yaml (>= 0.15.6~),
      python3-sentry-sdk (>= 0.8.0~)
    - package files moved to src subdir

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Feb 2025 21:37:25 +0100
