=== debian/control ===
--- 
+++ 
@@ -10,9 +10,13 @@
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
+ python3-matplotlib,
+ python3-monty (>= 2.0.6~),
  python3-psutil,
  python3-pymatgen,
  python3-pytest <!nocheck>,
+ python3-ruamel.yaml (>= 0.15.6~),
+ python3-sentry-sdk (>= 0.8.0~),
  python3-sphinx,
  python3-myst-parser <!nodoc>
 #Testsuite: autopkgtest-pkg-python
@@ -27,6 +31,8 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+ python3-matplotlib,
+ python3-sentry-sdk (>= 0.8.0~)
 Suggests:
  python-custodian-doc,
 Description: flexible just-in-time job management framework in Python
