=== debian/tests/control ===
Tests: test-custodian
Depends: python3-custodian, python3-pymatgen,
 python3-pytest,
 python3-all
