=== debian/changelog ===
custodian (2025.10.11-2) unstable; urgency=medium

  * versioned Build-Depends: python3-pymatgen (>= 2025.5.16~)
    (also in debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Oct 2025 15:29:05 +0200

custodian (2025.10.11-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Oct 2025 20:48:02 +0200
