=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
  python3-matplotlib,
  python3-monty (>= 2.0.6~),
  python3-psutil,
- python3-pymatgen,
+ python3-pymatgen (>= 2025.5.16~),
  python3-pytest <!nocheck>,
  python3-ruamel.yaml (>= 0.15.6~),
  python3-sentry-sdk (>= 0.8.0~),
  python3-sphinx,
  python3-myst-parser <!nodoc>
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/materialsproject/custodian
 Vcs-Browser: https://salsa.debian.org/debichem-team/custodian
 Vcs-Git: https://salsa.debian.org/debichem-team/custodian.git
