=== debian/tests/control ===
Tests: test-custodian
Depends: python3-custodian, python3-pymatgen (>= 2025.5.16~),
 python3-pytest,
 python3-all
